# Class DataNodeTransferable

java.lang.Object
uk.ac.starlink.datanode.tree.BasicTransferable
uk.ac.starlink.datanode.tree.DataNodeTransferable

All Implemented Interfaces:
  `Transferable`

public class DataNodeTransferable extends BasicTransferable
Transferable object used for transfer of `DataNode`s.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`VOTABLE_MIMETYPE`

## Constructor Summary

Constructors
Constructor
Description
`DataNodeTransferable(DataNode node)`
Construct a new transferable from an existing data node.

## Method Summary

Modifier and Type
Method
Description
`DataNode`
`getDataNode()`
Returns the node associated with this transferable.

### Methods inherited from class BasicTransferable

`addDataSource, addLocalObject, addSerializableObject, addString, addURL, getTransferData, getTransferDataFlavors, isDataFlavorSupported`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VOTABLE_MIMETYPE

public static final String VOTABLE_MIMETYPE

See Also:
  - Constant Field Values

## Constructor Details

### DataNodeTransferable

public DataNodeTransferable(DataNode node)
Construct a new transferable from an existing data node.

Parameters:
  `node` - the datanode

## Method Details

### getDataNode

public DataNode getDataNode()
Returns the node associated with this transferable.

Returns:
  the node